%define name gdis
%define version 0.77.3
%define release 1mdk

Summary: A molecular and crystal model viewer 
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sciences/Chemistry
URL: http://gdis.seul.org
Source: %name-%version.tar.bz2
BuildRoot: %_tmppath/%name-root
BuildRequires: libMesaGLU-devel libMesaglut-devel
Requires: povray-official ImageMagick openbabel grace

%description
gdis is a graphical program for displaying and manipulating 
molecular and crystal systems.

%prep
%setup -q

%build
make -j2 CFLAGS="$RPM_OPT_FLAGS" INSTALL=%_datadir/%name

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
make INSTALL=$RPM_BUILD_ROOT/%_bindir install
mv $RPM_BUILD_ROOT/%_bindir/%name.elements $RPM_BUILD_ROOT/%_datadir/%name
cp -r models $RPM_BUILD_ROOT/%_datadir/%name

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="gdis"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="Gdis"\
icon="chemistry_section.png"\
longtitle="Molecule/crystal viewer"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,0755)
%doc README CHANGELOG TODO GPL.txt
%_bindir/%name
%_datadir/%name
%_menudir/%name

%changelog
* Wed Feb 26 2003 Austin Acton <aacton@yorku.ca> 0.77.3-1mdk
- 0.77.3
- fix requires
- remove references to /usr/local

* Sat Nov 23 2002 Austin Acton <aacton@yorku.ca> 0.77.2-1mdk
- initial package for Mandrake 9
